# Uses of Enum
org.eclipse.mat.report.ITestResult.Status

Packages that use ITestResult.Status
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.query.results
Default Query Result Implementations.
org.eclipse.mat.report
Controls building of reports from XML report definitions.
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).

## Uses of ITestResult.Status in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return ITestResult.Status
Modifier and Type
Method
Description
`ITestResult.Status`
DuplicatedClassesQuery.`getStatus()`

## Uses of ITestResult.Status in org.eclipse.mat.query.results

Methods in org.eclipse.mat.query.results that return ITestResult.Status
Modifier and Type
Method
Description
`ITestResult.Status`
CompositeResult.`getStatus()`
A combined status
Methods in org.eclipse.mat.query.results with parameters of type ITestResult.Status
Modifier and Type
Method
Description
`void`
CompositeResult.`setStatus(ITestResult.Status status)`
Set the combined status

## Uses of ITestResult.Status in org.eclipse.mat.report

Methods in org.eclipse.mat.report that return ITestResult.Status
Modifier and Type
Method
Description
`ITestResult.Status`
TestSuite.`execute(IProgressListener listener)`
`ITestResult.Status`
ITestResult.`getStatus()`
`ITestResult.Status`
SectionSpec.`getStatus()`
`static ITestResult.Status`
ITestResult.Status.`max(ITestResult.Status a, ITestResult.Status b)`
Compare two statuses, and return the worst.
`static ITestResult.Status`
ITestResult.Status.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ITestResult.Status[]`
ITestResult.Status.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.report with parameters of type ITestResult.Status
Modifier and Type
Method
Description
`static ITestResult.Status`
ITestResult.Status.`max(ITestResult.Status a, ITestResult.Status b)`
Compare two statuses, and return the worst.
`void`
SectionSpec.`setStatus(ITestResult.Status status)`

## Uses of ITestResult.Status in org.eclipse.mat.report.internal

Methods in org.eclipse.mat.report.internal that return ITestResult.Status
Modifier and Type
Method
Description
`ITestResult.Status`
AbstractPart.`getStatus()`